File: acts_as_api.gemspec

package info (click to toggle)
ruby-acts-as-api 1.0.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 624 kB
  • sloc: ruby: 2,366; makefile: 2
file content (29 lines) | stat: -rw-r--r-- 1,232 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
# encoding: utf-8
$LOAD_PATH.push File.expand_path('../lib', __FILE__)
require 'acts_as_api/version'

Gem::Specification.new do |s|
  s.name        = 'acts_as_api'
  s.version     = ActsAsApi::VERSION
  s.platform    = Gem::Platform::RUBY
  s.authors     = ['Christian Bäuerlein']
  s.email       = ['christian@ffwdme.com']
  s.homepage    = 'https://github.com/fabrik42/acts_as_api'
  s.summary     = 'Makes creating XML/JSON responses in Rails 3, 4 and 5 easy and fun.'
  s.description = 'acts_as_api enriches the models and controllers of your app in a rails-like way so you can easily determine how your XML/JSON API responses should look like.'

  s.add_dependency('activemodel', '>= 3.0.0')
  s.add_dependency('activesupport', '>= 3.0.0')
  s.add_dependency('rack', '>= 1.1.0')

  s.add_development_dependency('rails', ['>= 3.2.22.2'])
  s.add_development_dependency('mongoid', ['>= 3.0.1'])
  s.add_development_dependency('rocco', ['>= 0.8.0'])

  s.rdoc_options  = ['--charset=UTF-8']

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
  s.require_paths = ['lib']
end